import { createSlice } from '@reduxjs/toolkit'

export const recorderSlice = createSlice({
    name: 'recorder',
    initialState: {
        list: [],
        currentIndex: 0,
        currentLyric: [],
    },
    reducers: {
        setList: (state, action) => {
            state.list = action.payload;
        },
        setCurrentIndex: (state, action) => {
            state.currentIndex = action.payload;
        },
        setCurrentLyric: (state, action) => {
            state.currentLyric = action.payload;
        }
    }
})

// Action creators are generated for each case reducer function
export const { setCurrentIndex, setList, setCurrentLyric } = recorderSlice.actions

export default recorderSlice.reducer